Public Class frmOptions

    Private Sub frmOptions_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.Icon = frmViewer.Icon

        txtUserName.Text = CStr(My.Computer.Registry.GetValue _
            ("HKEY_CURRENT_USER\Software\CleverSoftware\PictureViewer\", _
            "UserName", ""))
        chkPromptOnExit.Checked = CBool(My.Computer.Registry.GetValue _
              ("HKEY_CURRENT_USER\Software\CleverSoftware\PictureViewer\", _
              "PromptOnExit", "0"))
        If CStr(My.Computer.Registry.GetValue _
              ("HKEY_CURRENT_USER\Software\CleverSoftware\PictureViewer\", _
              "BackColor", "Gray")) = "Gray" Then
            optBackgroundDefault.Checked = True
        Else
            optBackgroundWhite.Checked = True
        End If

    End Sub

    Private Sub btnOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOK.Click
        My.Computer.Registry.SetValue _
              ("HKEY_CURRENT_USER\Software\CleverSoftware\PictureViewer\", _
              "UserName", txtUserName.Text)
        My.Computer.Registry.SetValue _
               ("HKEY_CURRENT_USER\Software\CleverSoftware\PictureViewer\", _
              "PromptOnExit", chkPromptOnExit.Checked)
        If optBackgroundDefault.Checked Then
            My.Computer.Registry.SetValue _
                  ("HKEY_CURRENT_USER\Software\CleverSoftware\PictureViewer\", _
                  "BackColor", "Gray")
        Else
            My.Computer.Registry.SetValue _
                  ("HKEY_CURRENT_USER\Software\CleverSoftware\PictureViewer\", _
                  "BackColor", "White")
        End If

        frmViewer.LoadDefaults()

        Me.Close()
    End Sub

    Private Sub btnCancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCancel.Click
        Me.Close()
    End Sub
End Class